ApacheWebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.web.apache.ApacheWebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.web.apache
Interface ApacheWebContainer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer, WebContainer

    public interface ApacheWebContainer

extends WebContainer

Represents the Apache Web Container environment inside an Apache Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAcceptMutex()`
`java.lang.String` | `getCoreDumpDirectory()`
`int` | `getKeepAlive()`
`int` | `getKeepAliveTimeout()`
`int` | `getLimitRequestBody()`
`int` | `getLimitRequestFields()`
`int` | `getLimitRequestFieldSize()`
`int` | `getLimitRequestLine()`
`int` | `getListenBacklog()`
`java.lang.String` | `getLockFile()`
`int` | `getMaxClients()`
`int` | `getMaxKeepAliveRequests()`
`int` | `getMaxSpareServers()`
`int` | `getMinSpareServers()`
`java.lang.String` | `getPidFile()`
`java.lang.String` | `getScoreBoardFile()`
`int` | `getSendBufferSize()`
`java.lang.String` | `getServerType()`
`ApacheGlobalSSLSettings` | `getSslSettings()`
`int` | `getStartServers()`
`int` | `getTimeout()`
`boolean` | `hasAcceptMutex()`
`boolean` | `hasCoreDumpDirectory()`
`boolean` | `hasKeepAlive()`
`boolean` | `hasKeepAliveTimeout()`
`boolean` | `hasLimitRequestBody()`
`boolean` | `hasLimitRequestFields()`
`boolean` | `hasLimitRequestFieldSize()`
`boolean` | `hasLimitRequestLine()`
`boolean` | `hasListenBacklog()`
`boolean` | `hasLockFile()`
`boolean` | `hasMaxClients()`
`boolean` | `hasMaxKeepAliveRequests()`
`boolean` | `hasMaxSpareServers()`
`boolean` | `hasMinSpareServers()`
`boolean` | `hasPidFile()`
`boolean` | `hasScoreBoardFile()`
`boolean` | `hasSendBufferSize()`
`boolean` | `hasServerType()`
`boolean` | `hasSslSettings()`
`boolean` | `hasStartServers()`
`boolean` | `hasTimeout()`
`void` | `setAcceptMutex(java.lang.String acceptMutex)`
`void` | `setCoreDumpDirectory(java.lang.String coreDumpDirectory)`
`void` | `setKeepAlive(int keepAlive)`
`void` | `setKeepAliveTimeout(int keepAliveTimeout)`
`void` | `setLimitRequestBody(int limitRequestBody)`
`void` | `setLimitRequestFields(int limitRequestFields)`
`void` | `setLimitRequestFieldSize(int limitRequestFieldSize)`
`void` | `setLimitRequestLine(int limitRequestLine)`
`void` | `setListenBacklog(int listenBacklog)`
`void` | `setLockFile(java.lang.String lockFile)`
`void` | `setMaxClients(int maxClients)`
`void` | `setMaxKeepAliveRequests(int maxKeepAliveRequests)`
`void` | `setMaxSpareServers(int maxSpareServers)`
`void` | `setMinSpareServers(int minSpareServers)`
`void` | `setPidFile(java.lang.String pidFile)`
`void` | `setScoreBoardFile(java.lang.String scoreBoardFile)`
`void` | `setSendBufferSize(int sendBufferSize)`
`void` | `setServerType(java.lang.String serverType)`
`void` | `setSslSettings(ApacheGlobalSSLSettings sslSettings)`
`void` | `setStartServers(int startServers)`
`void` | `setTimeout(int timeout)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebContainer
`getDirectives, getServerRoot, getUser, getVirtualHosts, hasDirectives, hasServerRoot, hasUser, hasVirtualHosts, setDirectives, setServerRoot, setUser, setVirtualHosts`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getServerType

    java.lang.String getServerType()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerType

    void setServerType(java.lang.String serverType)

### hasServerType

    boolean hasServerType()

### getAcceptMutex

    java.lang.String getAcceptMutex()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAcceptMutex

    void setAcceptMutex(java.lang.String acceptMutex)

### hasAcceptMutex

    boolean hasAcceptMutex()

### getKeepAlive

    int getKeepAlive()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepAlive

    void setKeepAlive(int keepAlive)

### hasKeepAlive

    boolean hasKeepAlive()

### getKeepAliveTimeout

    int getKeepAliveTimeout()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepAliveTimeout

    void setKeepAliveTimeout(int keepAliveTimeout)

### hasKeepAliveTimeout

    boolean hasKeepAliveTimeout()

### getLimitRequestBody

    int getLimitRequestBody()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimitRequestBody

    void setLimitRequestBody(int limitRequestBody)

### hasLimitRequestBody

    boolean hasLimitRequestBody()

### getLimitRequestFields

    int getLimitRequestFields()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimitRequestFields

    void setLimitRequestFields(int limitRequestFields)

### hasLimitRequestFields

    boolean hasLimitRequestFields()

### getLimitRequestFieldSize

    int getLimitRequestFieldSize()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimitRequestFieldSize

    void setLimitRequestFieldSize(int limitRequestFieldSize)

### hasLimitRequestFieldSize

    boolean hasLimitRequestFieldSize()

### getLimitRequestLine

    int getLimitRequestLine()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimitRequestLine

    void setLimitRequestLine(int limitRequestLine)

### hasLimitRequestLine

    boolean hasLimitRequestLine()

### getListenBacklog

    int getListenBacklog()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setListenBacklog

    void setListenBacklog(int listenBacklog)

### hasListenBacklog

    boolean hasListenBacklog()

### getMaxClients

    int getMaxClients()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxClients

    void setMaxClients(int maxClients)

### hasMaxClients

    boolean hasMaxClients()

### getMaxKeepAliveRequests

    int getMaxKeepAliveRequests()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxKeepAliveRequests

    void setMaxKeepAliveRequests(int maxKeepAliveRequests)

### hasMaxKeepAliveRequests

    boolean hasMaxKeepAliveRequests()

### getMaxSpareServers

    int getMaxSpareServers()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxSpareServers

    void setMaxSpareServers(int maxSpareServers)

### hasMaxSpareServers

    boolean hasMaxSpareServers()

### getMinSpareServers

    int getMinSpareServers()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinSpareServers

    void setMinSpareServers(int minSpareServers)

### hasMinSpareServers

    boolean hasMinSpareServers()

### getSendBufferSize

    int getSendBufferSize()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSendBufferSize

    void setSendBufferSize(int sendBufferSize)

### hasSendBufferSize

    boolean hasSendBufferSize()

### getStartServers

    int getStartServers()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartServers

    void setStartServers(int startServers)

### hasStartServers

    boolean hasStartServers()

### getTimeout

    int getTimeout()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimeout

    void setTimeout(int timeout)

### hasTimeout

    boolean hasTimeout()

### getCoreDumpDirectory

    java.lang.String getCoreDumpDirectory()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCoreDumpDirectory

    void setCoreDumpDirectory(java.lang.String coreDumpDirectory)

### hasCoreDumpDirectory

    boolean hasCoreDumpDirectory()

### getLockFile

    java.lang.String getLockFile()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLockFile

    void setLockFile(java.lang.String lockFile)

### hasLockFile

    boolean hasLockFile()

### getPidFile

    java.lang.String getPidFile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPidFile

    void setPidFile(java.lang.String pidFile)

### hasPidFile

    boolean hasPidFile()

### getScoreBoardFile

    java.lang.String getScoreBoardFile()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScoreBoardFile

    void setScoreBoardFile(java.lang.String scoreBoardFile)

### hasScoreBoardFile

    boolean hasScoreBoardFile()

### getSslSettings

    ApacheGlobalSSLSettings getSslSettings()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setSslSettings

    void setSslSettings(ApacheGlobalSSLSettings sslSettings)

### hasSslSettings

    boolean hasSslSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD